Uplink-Nodejs 1.0.8 Nods.js binding fo libUplink

Public Attributes | List of all members
deriveEncrpPromiseObj Struct Reference

`#include <definitions.h>`

## Public Attributes
int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
UplinkAccess | access
char * | passphrase
int64_t | saltSize
char * | saltCharArrayPointer
UplinkEncryptionKeyResult | encryptionResult

## Member Data Documentation

## ◆ access

UplinkAccess deriveEncrpPromiseObj::access

## ◆ async_action_status

int deriveEncrpPromiseObj::async_action_status

## ◆ deferred

napi_deferred deriveEncrpPromiseObj::deferred

## ◆ encryptionResult

UplinkEncryptionKeyResult deriveEncrpPromiseObj::encryptionResult

## ◆ passphrase

char* deriveEncrpPromiseObj::passphrase

## ◆ result

napi_value deriveEncrpPromiseObj::result

## ◆ saltCharArrayPointer

char* deriveEncrpPromiseObj::saltCharArrayPointer

## ◆ saltSize

int64_t deriveEncrpPromiseObj::saltSize

## ◆ work

napi_async_work deriveEncrpPromiseObj::work

The documentation for this struct was generated from the following file:

- definitions.h